Page MenuHomePhabricator

[GOAL] Advanced mobile contributions
Open, MediumPublicGoal

Description

Summary

Expose currently unavailable pages on the mobile website using the Minerva skin as an opt-in setting option and improve pages to allow for better usability on mobile

The mobile skin "Minerva" causes certain editing and contribution workflows to be unavailable. The skin hides certain pages as they were not optimized for mobile devices and increased the complexity of the interface. Their absence prevents contributors from being able to edit and moderate from the mobile web. The Readers Web team has listened to requests from communities and has an increased focus on contribution workflows for the upcoming year. The team is working on exposing currently unavailable pages to provide better editing functionality on the mobile web. Our plan is to build this as an opt-in feature which editors can enable. We believe this will decrease the necessity of switching between the desktop and mobile sites while on a mobile device and provide a better mobile editing experience.

More info here: https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions

Rationale

Will be updated regularly on project page

Success Metrics

See T210660

External Dependencies

  • Community Liaisons
  • Conversations and feedback gathering from the various communities

Unknowns

  • How will we promote feature usage among editors and moderators?
  • How will we treat prioritization of pages to improve?

Product Plan and Roadmap

Will be updated regularly on project page

Related Objects

StatusSubtypeAssignedTask
OpenGoalNone
Resolvedalexhollender
OpenNone
ResolvedSumit
DuplicateFlorian
DuplicateNone
OpenNone
StalledNone
DuplicateNone
ResolvedJdlrobson
OpenNone
ResolvedABorbaWMF
ResolvedNone
DuplicateNone
OpenNone
ResolvedJdlrobson
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
Resolveddbarratt
DeclinedNone
ResolvedNone
OpenNone
OpenNone
DuplicateNone
ResolvedJdrewniak
Resolvedovasileva
OpenCatrope
OpenNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
DuplicateNone
Resolvedmatmarex
Resolvedovasileva
Resolvedalexhollender
Resolvedphuedx
Resolvedovasileva
DuplicateNone
Resolvedovasileva
InvalidNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
OpenNone
OpenNone
OpenNone
Openovasileva
OpenNone
OpenNone
ResolvedDLynch
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
InvalidNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolved Tbayer
DuplicateJdlrobson
Resolved Tbayer
OpenNone
OpenNone
Openalexhollender
DuplicateNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
ResolvedBUG REPORTovasileva
ResolvedNone
ResolvedJdlrobson
ResolvedGeoffreyT2000
OpenNone
Resolvedalexhollender
DeclinedJdlrobson
OpenSpikepmiazga
Openphuedx
OpenNone
OpenNone
ResolvedJdrewniak
Resolvedovasileva
Resolvedovasileva
DuplicateNone
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
ResolvedNone
Resolvedovasileva
Resolved MNeisler
ResolvedSpikeJdrewniak
ResolvedJdrewniak
Resolvedovasileva
OpenNone
Resolvedovasileva
OpenBUG REPORTovasileva
OpenBUG REPORTNone
ResolvedBUG REPORTovasileva
Resolvedovasileva
Resolvedovasileva
InvalidNone
Resolvedovasileva
Resolvedovasileva
Stalledovasileva
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedphuedx
ResolvedNiedzielski
ResolvedBUG REPORTovasileva
DeclinedBUG REPORTJdlrobson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2018, 11:38 AM
Dvorapa added a subscriber: Dvorapa.Jul 4 2018, 1:51 PM
ovasileva updated the task description. (Show Details)Aug 30 2018, 4:55 PM
Jdlrobson added a subscriber: Jdlrobson.

Although this subtask may seem strange, we'll probably want to make sure OOjs UI is as light as possible before exposing pages on mobile. ^

Tbayer updated the task description. (Show Details)Apr 3 2019, 9:31 PM
Jdlrobson changed the status of subtask T183126: Link to wikidata item in mobile view from Open to Stalled.Aug 1 2019, 4:25 PM
Jdlrobson changed the status of subtask T208698: What links here on mobileview from Open to Stalled.
Masumrezarock100 changed the subtype of this task from "Task" to "Goal".Oct 19 2019, 8:21 PM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptOct 19 2019, 8:21 PM
Masumrezarock100 changed the status of subtask T208698: What links here on mobileview from Stalled to Open.Mon, Jan 27, 11:21 PM

@ovasileva can this be resolved? I suspect we'll need to go through the open sub tasks and resolve/decline/retag many of the remaining tasks as appropriate.